Bug 133951 - Web Inspector: Two lines in CSS rule are hidden until resize or click
Summary: Web Inspector: Two lines in CSS rule are hidden until resize or click
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Jonathan Wells
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2014-06-16 14:19 PDT by Timothy Hatcher
Modified: 2014-06-24 14:17 PDT (History)
4 users (show)

See Also:


Attachments
Test Case (880 bytes, text/html)
2014-06-16 14:19 PDT, Timothy Hatcher
no flags Details
Bug (69.09 KB, image/png)
2014-06-16 14:21 PDT, Timothy Hatcher
no flags Details
After Resize (88.75 KB, image/png)
2014-06-16 14:22 PDT, Timothy Hatcher
no flags Details
[PATCH] Attempted fix, update to CodeMirror 4.2.0 (51.43 KB, patch)
2014-06-16 20:55 PDT, Jonathan Wells
joepeck: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Timothy Hatcher 2014-06-16 14:19:31 PDT
Created attachment 233177 [details]
Test Case

The color and background-color on the attached page's icon don't show up in the rule sidebar until some refresh happens.
Comment 1 Radar WebKit Bug Importer 2014-06-16 14:21:02 PDT
<rdar://problem/17332268>
Comment 2 Timothy Hatcher 2014-06-16 14:21:47 PDT
Created attachment 233178 [details]
Bug
Comment 3 Timothy Hatcher 2014-06-16 14:22:02 PDT
Created attachment 233179 [details]
After Resize
Comment 4 Jonathan Wells 2014-06-16 20:44:23 PDT
This is a bug in CodeMirror 4.1. This is fixed in CodeMirror 4.2. I will update.
Comment 5 Jonathan Wells 2014-06-16 20:55:55 PDT
Created attachment 233212 [details]
[PATCH] Attempted fix, update to CodeMirror 4.2.0
Comment 6 Joseph Pecoraro 2014-06-17 11:16:15 PDT
Comment on attachment 233212 [details]
[PATCH] Attempted fix, update to CodeMirror 4.2.0

Looks good to me. Do PrettyPrinting tests continue to pass?
Comment 7 Jonathan Wells 2014-06-17 15:16:02 PDT
The second one fails: 

/* PASS: js-tests/block-comment.js */
/* FAIL: js-tests/single-statement-blocks.js */
/* PASS: js-tests/switch-case-default.js */

However I think this has been the case maybe since the original CodeMirror update. This can be fixed in another bug. This might need a rebaseline.
Comment 8 Jonathan Wells 2014-06-17 15:38:30 PDT
Landed in r170080.
Comment 9 Jonathan Wells 2014-06-17 15:40:23 PDT
<http://trac.webkit.org/changeset/170080>